
QGIS Application - Bug report #21327

[Style] Export --> Save as QGIS Layer style File should allow to select style categories (and output 

format)

2019-02-20 05:01 PM - Harrissou Santanna

Status: Open

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:3.4.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29145

Description

Open a layer properties dialog

Expand the Style menu and choose "Save Style": you get a "Save Layer Style" dialog in which you can select the categories you want to

keep, the file format and location

But in the Layers panel, right-click the layer and select "Export --> Save as QGIS Layer Style File": you get the full style, no way to pick

what you want.

It could be nice to align the tool with the former:

- allow SLD export next to QML's (otherwise rename the function to "Save as QGIS QML (Layer) Style File" to be coherent with the terms

used in the other dialog and nobody will expects sld)

- allow to pick categories to save

IOW make it a real shortcut to the style saving.

History

#1 - 2019-02-21 11:36 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Category changed from Unknown to Symbology

feature request?

#2 - 2019-02-26 06:50 PM - Harrissou Santanna

- Status changed from Feedback to Open

Maybe... It think it's a missing feature as the save style behavior has changed recently (allowing to pick categories)
